Woohoo, it only took a few days to the DevTeam and Poorlad to update their GUI version of QuickPwn and make it work with the latest iPhone firmware 2.0.2.

QuickPwn 2.0.2 contains their new bundles for 2.0.2 and they’ve also added support for version 2.0 devices which means you can QuickPwn and jailbreak the device if it is running 2.0, 2.0.1 or 2.0.2. Isn’t it fabulous? (I love saying “fabulous”, it sounds so gay though… haha)

Keep in mind that this is still beta software, so use the tool at at your own risk!

How to use QuickPwn 2.0.2? Well, simply follow the directions on my QuickPwn GUI tutorial. The method is exactly the same except that you will now be using the iPhone’s firmware 2.0.2, which is available in the iPhone Downloads section of my site.

Here is important information from the DevTeam. Please read carefully.

Using QuickPwn does not update the firmware itself, this tool is designed to ‘Pwn’ (the ability to install future custom non-Apple firmwares) , ‘Jailbreak’ and install Installer or Cydia on a given device. If your device is running 2.0.1 and you QuickPwn it, it’ll still be running 2.0.1, although it will now be Pwned and Jailbroken, similarly if your device is running 2.0.2 and you QuickPwn it, it will then be running 2.0.2 but the device will now be Pwned and Jailbroken. It will also activate (not unlock) devices that are being used outside of their intended territories and cannot be activated using iTunes.

If you want to update to 2.0.2 then use the normal iTunes update to get to 2.0.2 and then use QuickPwn to Pwn, Jailbreak and Activate, remember that the 2.0.2 update includes a baseband update for the 3G iPhone, so depending what your long term intentions are for the phone, update wisely, of course in the upcoming PwnageTool application you’ll be able to create a custom ipsw without the baseband update enabled.

There is no Mac version so far.